Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362357 - run_command runs exit handlers when execve fails (e.g. due to missing executable)
Summary: run_command runs exit handlers when execve fails (e.g. due to missing executa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs
Version: 7.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Pino Toscano
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-02 03:29 UTC by Xianghua Chen
Modified: 2016-11-03 18:03 UTC (History)
3 users (show)

Fixed In Version: libguestfs-1.32.6-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 18:03:04 UTC


Attachments (Terms of Use)
log.virt-dib.debug (deleted)
2016-08-02 03:29 UTC, Xianghua Chen
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2576 normal SHIPPED_LIVE Moderate: libguestfs and virt-p2v security, bug fix, and enhancement update 2016-11-03 12:06:51 UTC

Description Xianghua Chen 2016-08-02 03:29:41 UTC
Created attachment 1186643 [details]
log.virt-dib.debug

Description of problem:
virt-dib failed when using --debug 1.
You can see the full log with -v -x in the attachment.

Version-Release number of selected component (if applicable):
virt-dib-1.33.46-1.el7.x86_64
libguestfs-1.33.46-1.el7.x86_64
diskimage-builder-1.18.1-0.20160706010032.fcec06b.el7ost.noarch

How reproducible:
Always

Steps to Reproduce:
1.  # mkdir -p /home/test/local-tmp
2. # env TMPDIR=/home/test/local-tmp virt-dib -B /usr/share/diskimage-builder/lib -p /usr/share/diskimage-builder/elements --ramdisk --name ramdisk --envvar TMPDIR  ubuntu deploy-ironic --debug 1
... ...
--------------------- END PROFILING ---------------------
[   0.4] Opening the disks
virt-dib: error: /home/test/local-tmp/dib.5Ctv5d/image.1ea94a: No such file
or directory

If reporting bugs, run virt-dib with debugging enabled and include the
complete output:

  virt-dib -v -x [...]


Actual results:
As above output.

Expected results:
The command should finished successfully.

Additional info:
The command is ok without --debug 1.

Comment 1 Pino Toscano 2016-08-02 12:58:24 UTC
Interesting, only happening when "tree" is not installed.

Comment 4 Xianghua Chen 2016-08-05 03:40:37 UTC
Verified with the packages:
libguestfs-1.32.6-4.el7.x86_64
virt-dib-1.32.6-4.el7.x86_64

Verify steps:
1. # mkdir -p /home/test/local-tmp
2. # env TMPDIR=/home/test/local-tmp virt-dib -B /usr/share/diskimage-builder/lib -p /usr/share/diskimage-builder/elements --ramdisk --name ramdisk --envvar TMPDIR  ubuntu deploy-ironic --debug 1

Command finished successfully.

So verified.

Comment 6 errata-xmlrpc 2016-11-03 18:03:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2576.html


Note You need to log in before you can comment on or make changes to this bug.